defmodule ExDataGovUA.MixProject do
  use Mix.Project

  def project do
    [
      app: :ex_datagovua,
      version: "0.1.0",
      elixir: "~> 1.12",
      start_permanent: Mix.env() == :prod,
      deps: deps()
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: applications(Mix.env()),
      mod: {ExDataGovUA.Application, []}
    ]
  end

  defp applications(:dev), do: applications(:all) ++ ~w(remix)a
  defp applications(_all), do: ~w(logger)a

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:jason, "~> 1.2.2"},
      {:jaxon, "~> 2.0.8"},
      {:finch, "~> 0.8.0"},
      {:httpoison, "~> 1.8.0"},
      {:stream_gzip, "~> 0.4.1"},
      {:exconstructor, "~> 1.2.2"},
      {:ex_doc, "~> 0.24.2", only: :dev, runtime: false},
      {:observer_cli, "~> 1.6.2", only: :dev, runtime: false},
      {:credo, "~> 1.5.6", only: :dev, runtime: false},
      {:dialyxir, "~> 1.1.0", only: :dev, runtime: false},
      # Remix for autorestart
      {:remix, "~> 0.0.2", only: :dev}
    ]
  end
end
